[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBImage.PictureChanged

Performs actions needed when the Picture property in the image control has been changed.

## Declaration

Source position: dbctrls.pp line 1195

`protected procedure TDBImage.PictureChanged(`
`Sender: TObject`
`); override;`

## Arguments

`Sender` |  | Object for the event notification.

## Description

PictureChanged is an overridden method in TDBImage, and calls the inherited method. PictureChanged ensures that the Change method is called if it has not already been executed.

PictureChanged is assigned as the OnChange event handler for the TPicture instance in the Picture property.

## See also

TCustomImage.PictureChanged |  | Performs actions needed when the Picture property has been changed.
TPicture.OnChange |  | OnChange - Event handler for any change in the picture.